Message window too large on upgraded site

Bug #1382890 reported by Kristina Hoeppner on 2014-10-19
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
High
Robert Lyon
1.10
High
Robert Lyon
15.04
High
Robert Lyon

Bug Description

1.10RC1 using an upgraded site

On /artefact/multirecipientnotification/sendmessage.php the "Message" window is too wide (see screenshot). This does not happen on a fresh install.

The site has been continuously updated since 1.4.

The same goes for the reason message window on a forum post and the suspension message window on a user's account page.

Robert Lyon (robertl-9) on 2014-10-19
Changed in mahara:
status: New → In Progress
importance: Undecided → High
tags: added: regression

Reviewed: https://reviews.mahara.org/3832
Committed: http://gitorious.org/mahara/mahara/commit/203633870325b3023e64341b8dde17dee0c8324b
Submitter: Son Nguyen (<email address hidden>)
Branch: 1.10_STABLE

commit 203633870325b3023e64341b8dde17dee0c8324b
Author: Robert Lyon <email address hidden>
Date: Mon Oct 20 08:25:07 2014 +1300

Adjusting styles on cloned textarea for correct dimensions (Bug #1382890)

Appending the textarea to body was not taking in account for the

Change-Id: Icc06b16d8b8028121af1929be9bada4322e71c82
Signed-off-by: Robert Lyon <email address hidden>

Son Nguyen (ngson2000) wrote :

The issue also happens to the fresh install

Changed in mahara:
status: In Progress → Fix Committed

Reviewed: https://reviews.mahara.org/3839
Committed: http://gitorious.org/mahara/mahara/commit/daf39f44128cec9f88617ac9390798d9e33abe8f
Submitter: Aaron Wells (<email address hidden>)
Branch: master

commit daf39f44128cec9f88617ac9390798d9e33abe8f
Author: Robert Lyon <email address hidden>
Date: Mon Oct 20 08:25:07 2014 +1300

Adjusting styles on cloned textarea for correct dimensions (Bug #1382890)

Appending the textarea to body was not taking in account for the

Change-Id: Icc06b16d8b8028121af1929be9bada4322e71c82
Signed-off-by: Robert Lyon <email address hidden>

Aaron Wells (u-aaronw) on 2014-10-21
Changed in mahara:
status: Fix Committed → Fix Released
Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/3904
Committed: http://gitorious.org/mahara/mahara/commit/b01bc11e1e462ed740f5ea5d96d7c756120ba3bf
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit b01bc11e1e462ed740f5ea5d96d7c756120ba3bf
Author: Robert Lyon <email address hidden>
Date: Tue Nov 4 12:26:23 2014 +1300

Finding a better way to readjust the width of cloned textarea

Bug #1382890

Old fix involved a hard-coded font size which was bad
This involves finding the computed size in px of what all the
font-family/font-size/width etc that would have been in play and
giving the cloned textarea the same width.

Change-Id: Ia116d5474482b57d3a478adba14b304845253ebb
Signed-off-by: Robert Lyon <email address hidden>

Reviewed: https://reviews.mahara.org/3953
Committed: http://gitorious.org/mahara/mahara/commit/6f8c4ee44752b09fc656367ca84036dd4c2d40c0
Submitter: Aaron Wells (<email address hidden>)
Branch: 1.10_STABLE

commit 6f8c4ee44752b09fc656367ca84036dd4c2d40c0
Author: Robert Lyon <email address hidden>
Date: Tue Nov 4 12:26:23 2014 +1300

Finding a better way to readjust the width of cloned textarea

Bug #1382890

Old fix involved a hard-coded font size which was bad
This involves finding the computed size in px of what all the
font-family/font-size/width etc that would have been in play and
giving the cloned textarea the same width.

Change-Id: Ia116d5474482b57d3a478adba14b304845253ebb
Signed-off-by: Robert Lyon <email address hidden>

Hi Robert,

This still happens to me on 15.04RC1 on an upgraded site. I can show you on my computer.

Cheers
Kristina

Robert Lyon (robertl-9) on 2015-04-17
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers